MagicWP Docs
WordPress

Toggle Redis object cache (enable/disable)

POST
/v1/sites/{site_id}/wp/cache/redis

Permission: site.performance

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
enabled*Enabled

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

New Redis object-cache state.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/cache/redis" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "object_cache_enabled": true  }}